unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    MonthCalendar1: TMonthCalendar;
    procedure FormCreate(Sender: TObject);
    procedure WMSysCommand(var Message:TWMSysCommand);message WM_SYSCOMMAND;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
var hSysMenu: HMENU;
begin
  //Добавленияе пунктов в системное меню
  hSysMenu := GetSystemMenu(Handle, FALSE);
  AppendMenu(hSysMenu, MF_SEPARATOR, 0, '');
  AppendMenu(hSysMenu, MF_STRING, 10001, 'Увеличить на 20%');
  AppendMenu(hSysMenu, MF_STRING, 10002, 'Уменьшить на 20%');
end;

procedure TForm1.WMSysCommand(var Message: TWMSysCommand);
begin
 if Message.CmdType = 10001 then
   //Увеличение масштаба
   ChangeScale(120, 100)
 else if Message.CmdType = 10002 then
   //Уменьшение масштаба
   ChangeScale(80, 100)
 else
   DefWindowProc(Handle, Message.Msg, Message.CmdType,
                 65536 * Message.YPos + Message.XPos);
end;


end.
